CI Automations API
Manage CI automation workflows: scan repositories, list jobs, and open workflow PRs.
Open a CI workflow PR (create / edit / delete)
curl -X POST 'https://api.factory.ai/api/v0/automations/ci/edit' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List CI automation jobs
curl 'https://api.factory.ai/api/v0/automations/ci/jobs' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List CI-eligible repositories
curl 'https://api.factory.ai/api/v0/automations/ci/repositories' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
List CI repository owners
curl 'https://api.factory.ai/api/v0/automations/ci/repository-owners' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
Scan repositories for CI workflows
curl 'https://api.factory.ai/api/v0/automations/ci/scan' \
-H 'Authorization: Bearer $FACTORY_API_KEY'Responses
401Response for status 401
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values
500Response for status 500
Human-readable error message
HTTP status code
HTTP status title
Additional error metadata
Values